%define _x11dir		/usr/X11R6
%define _x11libdir	%{_x11dir}/%{_lib}
%define _x11sdkdir	%{_x11libdir}/Server
%define	tarname		expresskeys

Name:		wacomexpresskeys
Version:	0.4.1
Release:	9%{?dist}
Summary:	Wacom ExpressKeys and Touch Strips configuration utility

Group:		System Environment/Base
License:	GPLv2+
URL:		http://web.telia.com/~u45802013/wacom/
Source0:	http://web.telia.com/~u45802013/wacom/%{tarname}-%{version}.tar.gz
Patch1:		wacomexpresskeys-add_support_to_cintiq20wsx.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	xorg-x11-devel, xorg-x11-sdk
Requires:	xorg-x11
ExcludeArch:	s390 s390x ppc64

%description
Configuration utility to bind Wacom tablet's ExpressKeys and Touch Strips to
generate other input events.

%prep
%setup -q -n %{tarname}-%{version}
%patch1 -p1

%build
export RPM_LIBDIR=%{_lib}
%configure --with-xorg-sdk=%{_x11sdkdir} --with-xlib=%{_x11libdir}

export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS README TODO ChangeLog NEWS
%{_bindir}/expresskeys

%changelog
* Wed Apr 09 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-9
- changed the default keys for right strip to 98 and 104 on intuos3 too

* Wed Apr 09 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-8
- updated the Cintiq 20 button schematic
- changed the config file name to "cintiq20.confX"
- changed the default keys for right strip to 98 and 104
- changed the default for keys 17 and 18 to 9 and 36

* Tue Apr 08 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-7
- fixed configuration loading for keys 17 and 18

* Mon Apr 07 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-6
- avoid crashing when an unknown key is reported

* Mon Apr 07 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-5
- updating spec with Jarod fixes (BZ#439051)

* Thu Apr 03 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-4
- fixing support for Cintiq 20wsx

* Mon Mar 31 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-3
- fixed wheel support for Intuos3 tablets

* Thu Mar 20 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-2
- added support for Cintiq 20WSX

* Tue Feb 12 2008 Aristeu Rozanski <arozansk@redhat.com> 0.4.1-1
- updating to upstream version 0.4.1

* Tue Mar 27 2007 Aristeu Rozanski <arozansk@redhat.com> 0:0.4.0-1
- updating to 0.4.0 (BZ#217608)
- updating project URL
- including documentation on the package

* Thu Jul 13 2006 Aristeu S. Rozanski F. <arozansk@redhat.com> 0:0.2.6-1
- Package created

